## org.eclipse.datatools.sqltools.parsers.sql.query
Class SQLQueryParseResult

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.SQLParseResult
          org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParseResult

    public class SQLQueryParseResult

extends SQLParseResult

Author:
  ckadner TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`SQLQueryParseResult(QueryStatement query, java.util.List errorList)`

Method Summary
`QueryStatement` `getQueryStatement()`
`void` `setQueryStatement(QueryStatement query)`

Methods inherited from class org.eclipse.datatools.sqltools.parsers.sql.SQLParseResult
`getErrorList, getSQLStatement, setErrorList, setSQLStatement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryParseResult

    public SQLQueryParseResult(QueryStatement query,
                               java.util.List errorList)

Parameters:
  `query` -
  `errorList` -

Method Detail

### getQueryStatement

    public QueryStatement getQueryStatement()

### setQueryStatement

    public void setQueryStatement(QueryStatement query)